Package fr.gouv.vitam.common.storage

# Class StorageConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.common.storage.StorageConfiguration

All Implemented Interfaces:
  `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public class StorageConfiguration extends DefaultVitamApplicationConfiguration
Storage configuration contains all configuration items for storage offers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MAX_UPLOAD_PART_SIZE_MB`
  `static final int`
  `MIN_UPLOAD_PART_SIZE_MB`

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorageConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseUrl()`
  `String`
  `getContextPath()`
  `List<VitamCustomizedHeader>`
  `getCustomHeaders()`
  `Boolean`
  `getEnableCustomHeaders()`
  `String`
  `getProvider()`
  `String`
  `getS3AccessKey()`
  `int`
  `getS3ClientExecutionTimeout()`
  `int`
  `getS3ConnectionTimeout()`
  `String`
  `getS3Endpoint()`
  `int`
  `getS3ListObjectBulkSize()`
  `int`
  `getS3MaxConnections()`
  `long`
  `getS3MaxUploadPartSizeMB()`
  `int`
  `getS3MultiPartCleanNbRetries()`
  `int`
  `getS3MultiPartCleanWaitingTimeInMilliseconds()`
  `String`
  `getS3RegionName()`
  `int`
  `getS3RequestTimeout()`
  `String`
  `getS3SecretKey()`
  `int`
  `getS3SocketTimeout()`
  `String`
  `getS3TrustStore()`
  `String`
  `getS3TrustStorePassword()`
  `String`
  `getStoragePath()`
  `int`
  `getSwiftConnectionTimeout()`
  `String`
  `getSwiftDomain()`
  `long`
  `getSwiftHardRenewTokenDelayBeforeExpireTime()`
  `String`
  `getSwiftKeystoneAuthUrl()`
  `int`
  `getSwiftListObjectBulkSize()`
  `int`
  `getSwiftMaxConnections()`
  `int`
  `getSwiftMaxConnectionsPerRoute()`
  `int`
  `getSwiftNbRetries()`
  `String`
  `getSwiftPassword()`
  `String`
  `getSwiftProjectName()`
  `int`
  `getSwiftRandomRangeSleepInMilliseconds()`
  `int`
  `getSwiftReadTimeout()`
  `long`
  `getSwiftSoftRenewTokenDelayBeforeExpireTime()`
  `String`
  `getSwiftTrustStore()`
  `String`
  `getSwiftTrustStorePassword()`
  `String`
  `getSwiftUrl()`
  `String`
  `getSwiftUser()`
  `int`
  `getSwiftWaitingTimeInMilliseconds()`
  `TapeLibraryConfiguration`
  `getTapeLibraryConfiguration()`
  `boolean`
  `isAuthentication()`
  getter authentication
  `boolean`
  `isS3DisableMultipartUpload()`
  `boolean`
  `isS3IgnoreCertificateHostnameValidation()`
  `boolean`
  `isS3PathStyleAccessEnabled()`
  `boolean`
  `isSwiftDisableKeepAlive()`
  `StorageConfiguration`
  `setAuthentication(boolean authentication)`
  `StorageConfiguration`
  `setContextPath(String contextPath)`
  `void`
  `setCustomHeaders(List<VitamCustomizedHeader> customHeaders)`
  `void`
  `setEnableCustomHeaders(Boolean enableCustomHeaders)`
  `StorageConfiguration`
  `setProvider(String provider)`
  `StorageConfiguration`
  `setS3AccessKey(String s3AccessKey)`
  `StorageConfiguration`
  `setS3ClientExecutionTimeout(int s3ClientExecutionTimeout)`
  `StorageConfiguration`
  `setS3ConnectionTimeout(int s3ConnectionTimeout)`
  `StorageConfiguration`
  `setS3DisableMultipartUpload(boolean s3DisableMultipartUpload)`
  `StorageConfiguration`
  `setS3Endpoint(String s3Endpoint)`
  `StorageConfiguration`
  `setS3IgnoreCertificateHostnameValidation(boolean s3IgnoreCertificateHostnameValidation)`
  `void`
  `setS3ListObjectBulkSize(int s3ListObjectBulkSize)`
  `StorageConfiguration`
  `setS3MaxConnections(int s3MaxConnections)`
  `StorageConfiguration`
  `setS3MaxUploadPartSizeMB(long s3MaxUploadPartSizeMB)`
  `StorageConfiguration`
  `setS3MultiPartCleanNbRetries(int s3MultiPartCleanNbRetries)`
  `StorageConfiguration`
  `setS3MultiPartCleanWaitingTimeInMilliseconds(int s3MultiPartCleanWaitingTimeInMilliseconds)`
  `StorageConfiguration`
  `setS3PathStyleAccessEnabled(boolean s3PathStyleAccessEnabled)`
  `StorageConfiguration`
  `setS3RegionName(String s3RegionName)`
  `StorageConfiguration`
  `setS3RequestTimeout(int s3RequestTimeout)`
  `StorageConfiguration`
  `setS3SecretKey(String s3SecretKey)`
  `StorageConfiguration`
  `setS3SocketTimeout(int s3SocketTimeout)`
  `StorageConfiguration`
  `setS3TrustStore(String s3TrustStore)`
  `StorageConfiguration`
  `setS3TrustStorePassword(String s3TrustStorePassword)`
  `StorageConfiguration`
  `setStoragePath(String storagePath)`
  `void`
  `setSwiftConnectionTimeout(int swiftConnectionTimeout)`
  `StorageConfiguration`
  `setSwiftDisableKeepAlive(boolean swiftDisableKeepAlive)`
  `StorageConfiguration`
  `setSwiftDomain(String swiftDomain)`
  `void`
  `setSwiftHardRenewTokenDelayBeforeExpireTime(long swiftHardRenewTokenDelayBeforeExpireTime)`
  `StorageConfiguration`
  `setSwiftKeystoneAuthUrl(String swiftKeystoneAuthUrl)`
  `void`
  `setSwiftListObjectBulkSize(int swiftListObjectBulkSize)`
  `void`
  `setSwiftMaxConnections(int swiftMaxConnections)`
  `void`
  `setSwiftMaxConnectionsPerRoute(int swiftMaxConnectionsPerRoute)`
  `StorageConfiguration`
  `setSwiftNbRetries(int swiftNbRetries)`
  `StorageConfiguration`
  `setSwiftPassword(String swiftPassword)`
  `StorageConfiguration`
  `setSwiftProjectName(String swiftProjectName)`
  `StorageConfiguration`
  `setSwiftRandomRangeSleepInMilliseconds(int swiftRandomRangeSleepInMilliseconds)`
  `void`
  `setSwiftReadTimeout(int swiftReadTimeout)`
  `void`
  `setSwiftSoftRenewTokenDelayBeforeExpireTime(long swiftSoftRenewTokenDelayBeforeExpireTime)`
  `void`
  `setSwiftTrustStore(String swiftTrustStore)`
  `void`
  `setSwiftTrustStorePassword(String swiftTrustStorePassword)`
  `StorageConfiguration`
  `setSwiftUrl(String swiftUrl)`
  `StorageConfiguration`
  `setSwiftUser(String swiftUser)`
  `StorageConfiguration`
  `setSwiftWaitingTimeInMilliseconds(int swiftWaitingTimeInMilliseconds)`
  `StorageConfiguration`
  `setTapeLibraryConfiguration(TapeLibraryConfiguration tapeLibraryConfiguration)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, setBaseUri, setBaseUrl`

- ## Field Details

  - ### MIN_UPLOAD_PART_SIZE_MB

    public static final int MIN_UPLOAD_PART_SIZE_MB
    See Also:
      - Constant Field Values

  - ### MAX_UPLOAD_PART_SIZE_MB

    public static final int MAX_UPLOAD_PART_SIZE_MB
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StorageConfiguration

    public StorageConfiguration()

- ## Method Details

  - ### getSwiftUrl

    public String getSwiftUrl()
    Returns:
      the swiftUrl

  - ### setSwiftUrl

    public StorageConfiguration setSwiftUrl(String swiftUrl)
    Parameters:
      `swiftUrl` - the swiftUrl to set
    Returns:
      this

  - ### getProvider

    public String getProvider()
    Returns:
      the provider

  - ### setProvider

    public StorageConfiguration setProvider(String provider)
    Parameters:
      `provider` - the provider to set
    Returns:
      this

  - ### getSwiftKeystoneAuthUrl

    public String getSwiftKeystoneAuthUrl()
    Returns:
      the swiftKeystoneAuthUrl

  - ### setSwiftKeystoneAuthUrl

    public StorageConfiguration setSwiftKeystoneAuthUrl(String swiftKeystoneAuthUrl)
    Parameters:
      `swiftKeystoneAuthUrl` - the swiftKeystoneAuthUrl to set
    Returns:
      this

  - ### getSwiftDomain

    public String getSwiftDomain()
    Returns:
      the tenantName

  - ### setSwiftDomain

    public StorageConfiguration setSwiftDomain(String swiftDomain)
    Parameters:
      `swiftDomain` - the tenantName to set
    Returns:
      this

  - ### getSwiftUser

    public String getSwiftUser()
    Returns:
      the swiftUser

  - ### setSwiftUser

    public StorageConfiguration setSwiftUser(String swiftUser)
    Parameters:
      `swiftUser` - the userName to set
    Returns:
      this

  - ### getSwiftPassword

    public String getSwiftPassword()
    Returns:
      the swiftPassword

  - ### setSwiftPassword

    public StorageConfiguration setSwiftPassword(String swiftPassword)
    Parameters:
      `swiftPassword` - the swiftPassword to set
    Returns:
      this

  - ### getStoragePath

    public String getStoragePath()
    Returns:
      the storagePath

  - ### setStoragePath

    public StorageConfiguration setStoragePath(String storagePath)
    Parameters:
      `storagePath` - the storagePath to set
    Returns:
      this

  - ### getContextPath

    public String getContextPath()
    Returns:
      the contextPath

  - ### setContextPath

    public StorageConfiguration setContextPath(String contextPath)
    Parameters:
      `contextPath` - the contextPath to set
    Returns:
      this

  - ### isAuthentication

    public boolean isAuthentication()
    Description copied from interface: `VitamApplicationConfigurationInterface`
    getter authentication
    Specified by:
      `isAuthentication` in interface `VitamApplicationConfigurationInterface`
    Overrides:
      `isAuthentication` in class `DefaultVitamApplicationConfiguration`
    Returns:
      boolean

  - ### setAuthentication

    public StorageConfiguration setAuthentication(boolean authentication)
    Specified by:
      `setAuthentication` in interface `VitamApplicationConfigurationInterface`
    Overrides:
      `setAuthentication` in class `DefaultVitamApplicationConfiguration`
    Parameters:
      `authentication` - to set ou unset
    Returns:
      StorageConfiguration

  - ### getSwiftProjectName

    public String getSwiftProjectName()

  - ### setSwiftProjectName

    public StorageConfiguration setSwiftProjectName(String swiftProjectName)

  - ### getSwiftTrustStore

    public String getSwiftTrustStore()

  - ### setSwiftTrustStore

    public void setSwiftTrustStore(String swiftTrustStore)

  - ### getSwiftTrustStorePassword

    public String getSwiftTrustStorePassword()

  - ### setSwiftTrustStorePassword

    public void setSwiftTrustStorePassword(String swiftTrustStorePassword)

  - ### getSwiftMaxConnectionsPerRoute

    public int getSwiftMaxConnectionsPerRoute()

  - ### setSwiftMaxConnectionsPerRoute

    public void setSwiftMaxConnectionsPerRoute(int swiftMaxConnectionsPerRoute)

  - ### getSwiftMaxConnections

    public int getSwiftMaxConnections()

  - ### setSwiftMaxConnections

    public void setSwiftMaxConnections(int swiftMaxConnections)

  - ### getSwiftConnectionTimeout

    public int getSwiftConnectionTimeout()

  - ### setSwiftConnectionTimeout

    public void setSwiftConnectionTimeout(int swiftConnectionTimeout)

  - ### getSwiftReadTimeout

    public int getSwiftReadTimeout()

  - ### setSwiftReadTimeout

    public void setSwiftReadTimeout(int swiftReadTimeout)

  - ### getSwiftSoftRenewTokenDelayBeforeExpireTime

    public long getSwiftSoftRenewTokenDelayBeforeExpireTime()

  - ### setSwiftSoftRenewTokenDelayBeforeExpireTime

    public void setSwiftSoftRenewTokenDelayBeforeExpireTime(long swiftSoftRenewTokenDelayBeforeExpireTime)

  - ### getSwiftHardRenewTokenDelayBeforeExpireTime

    public long getSwiftHardRenewTokenDelayBeforeExpireTime()

  - ### setSwiftHardRenewTokenDelayBeforeExpireTime

    public void setSwiftHardRenewTokenDelayBeforeExpireTime(long swiftHardRenewTokenDelayBeforeExpireTime)

  - ### getS3RegionName

    public String getS3RegionName()

  - ### setS3RegionName

    public StorageConfiguration setS3RegionName(String s3RegionName)

  - ### getS3Endpoint

    public String getS3Endpoint()

  - ### setS3Endpoint

    public StorageConfiguration setS3Endpoint(String s3Endpoint)

  - ### getS3TrustStore

    public String getS3TrustStore()

  - ### setS3TrustStore

    public StorageConfiguration setS3TrustStore(String s3TrustStore)

  - ### getS3TrustStorePassword

    public String getS3TrustStorePassword()

  - ### setS3TrustStorePassword

    public StorageConfiguration setS3TrustStorePassword(String s3TrustStorePassword)

  - ### getS3AccessKey

    public String getS3AccessKey()

  - ### setS3AccessKey

    public StorageConfiguration setS3AccessKey(String s3AccessKey)

  - ### getS3SecretKey

    public String getS3SecretKey()

  - ### setS3SecretKey

    public StorageConfiguration setS3SecretKey(String s3SecretKey)

  - ### isS3PathStyleAccessEnabled

    public boolean isS3PathStyleAccessEnabled()

  - ### setS3PathStyleAccessEnabled

    public StorageConfiguration setS3PathStyleAccessEnabled(boolean s3PathStyleAccessEnabled)

  - ### getS3MaxConnections

    public int getS3MaxConnections()

  - ### setS3MaxConnections

    public StorageConfiguration setS3MaxConnections(int s3MaxConnections)

  - ### getS3ConnectionTimeout

    public int getS3ConnectionTimeout()

  - ### setS3ConnectionTimeout

    public StorageConfiguration setS3ConnectionTimeout(int s3ConnectionTimeout)

  - ### getS3SocketTimeout

    public int getS3SocketTimeout()

  - ### setS3SocketTimeout

    public StorageConfiguration setS3SocketTimeout(int s3SocketTimeout)

  - ### getS3RequestTimeout

    public int getS3RequestTimeout()

  - ### setS3RequestTimeout

    public StorageConfiguration setS3RequestTimeout(int s3RequestTimeout)

  - ### getS3ClientExecutionTimeout

    public int getS3ClientExecutionTimeout()

  - ### setS3ClientExecutionTimeout

    public StorageConfiguration setS3ClientExecutionTimeout(int s3ClientExecutionTimeout)

  - ### getS3ListObjectBulkSize

    public int getS3ListObjectBulkSize()

  - ### setS3ListObjectBulkSize

    public void setS3ListObjectBulkSize(int s3ListObjectBulkSize)

  - ### getTapeLibraryConfiguration

    public TapeLibraryConfiguration getTapeLibraryConfiguration()

  - ### setTapeLibraryConfiguration

    public StorageConfiguration setTapeLibraryConfiguration(TapeLibraryConfiguration tapeLibraryConfiguration)

  - ### getSwiftNbRetries

    public int getSwiftNbRetries()

  - ### setSwiftNbRetries

    public StorageConfiguration setSwiftNbRetries(int swiftNbRetries)

  - ### getSwiftWaitingTimeInMilliseconds

    public int getSwiftWaitingTimeInMilliseconds()

  - ### setSwiftWaitingTimeInMilliseconds

    public StorageConfiguration setSwiftWaitingTimeInMilliseconds(int swiftWaitingTimeInMilliseconds)

  - ### getSwiftRandomRangeSleepInMilliseconds

    public int getSwiftRandomRangeSleepInMilliseconds()

  - ### setSwiftRandomRangeSleepInMilliseconds

    public StorageConfiguration setSwiftRandomRangeSleepInMilliseconds(int swiftRandomRangeSleepInMilliseconds)

  - ### getEnableCustomHeaders

    public Boolean getEnableCustomHeaders()

  - ### setEnableCustomHeaders

    public void setEnableCustomHeaders(Boolean enableCustomHeaders)

  - ### getCustomHeaders

    public List<VitamCustomizedHeader> getCustomHeaders()

  - ### setCustomHeaders

    public void setCustomHeaders(List<VitamCustomizedHeader> customHeaders)

  - ### getBaseUrl

    public String getBaseUrl()

  - ### isSwiftDisableKeepAlive

    public boolean isSwiftDisableKeepAlive()

  - ### setSwiftDisableKeepAlive

    public StorageConfiguration setSwiftDisableKeepAlive(boolean swiftDisableKeepAlive)

  - ### isS3DisableMultipartUpload

    public boolean isS3DisableMultipartUpload()

  - ### setS3DisableMultipartUpload

    public StorageConfiguration setS3DisableMultipartUpload(boolean s3DisableMultipartUpload)

  - ### getS3MaxUploadPartSizeMB

    public long getS3MaxUploadPartSizeMB()

  - ### setS3MaxUploadPartSizeMB

    public StorageConfiguration setS3MaxUploadPartSizeMB(long s3MaxUploadPartSizeMB)

  - ### getS3MultiPartCleanNbRetries

    public int getS3MultiPartCleanNbRetries()

  - ### setS3MultiPartCleanNbRetries

    public StorageConfiguration setS3MultiPartCleanNbRetries(int s3MultiPartCleanNbRetries)

  - ### getS3MultiPartCleanWaitingTimeInMilliseconds

    public int getS3MultiPartCleanWaitingTimeInMilliseconds()

  - ### setS3MultiPartCleanWaitingTimeInMilliseconds

    public StorageConfiguration setS3MultiPartCleanWaitingTimeInMilliseconds(int s3MultiPartCleanWaitingTimeInMilliseconds)

  - ### isS3IgnoreCertificateHostnameValidation

    public boolean isS3IgnoreCertificateHostnameValidation()

  - ### setS3IgnoreCertificateHostnameValidation

    public StorageConfiguration setS3IgnoreCertificateHostnameValidation(boolean s3IgnoreCertificateHostnameValidation)

  - ### getSwiftListObjectBulkSize

    public int getSwiftListObjectBulkSize()

  - ### setSwiftListObjectBulkSize

    public void setSwiftListObjectBulkSize(int swiftListObjectBulkSize)